Package org.pushingpixels.flamingo.api.ribbon

# Interface JRibbonBand.RibbonGalleryPopupCallback

Enclosing class:
  `JRibbonBand`

public static interface JRibbonBand.RibbonGalleryPopupCallback
This callback allows application code to place additional menu entries in the popup menu shown when the ribbon gallery expand button is clicked. Application code should use `JCommandPopupMenu.addMenuButton(JCommandMenuButton)` and `JCommandPopupMenu.addMenuSeparator()` APIs on the passed menu parameter.

## Method Summary

Modifier and Type
Method
Description
`void`
`popupToBeShown(JCommandPopupMenu menu)`
Called just before the popup menu is about to be shown.

## Method Details

### popupToBeShown

void popupToBeShown(JCommandPopupMenu menu)
Called just before the popup menu is about to be shown.

Parameters:
  `menu` - The popup menu that will be shown.